Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::GatewaySensorManager::InterpretationRuleRAW Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::InterpretationRuleRAW Struct Reference

InterpretationRuleRAW is applied after swap, but before masking (because it has it's own mask) More...

`import <GatewaySensorManager.idl;`

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleRAW:

## Public Attributes
string | value
| compare to value (unsigned 64-bit value as string, decimal or hexadecimal)
string | mask
| mask before compare (unsigned 64-bit value as string, decimal or hexadecimal; "" or "0" = not masked, the same as "0xFFFFFFFFFFFFFFFF")
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable
AccessType | accessType
| use rule for read and/or write access

## Detailed Description

InterpretationRuleRAW is applied after swap, but before masking (because it has it's own mask)

Definition at line 485 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ mask

string peripheral::GatewaySensorManager::InterpretationRuleRAW::mask

mask before compare (unsigned 64-bit value as string, decimal or hexadecimal; "" or "0" = not masked, the same as "0xFFFFFFFFFFFFFFFF")

Definition at line 487 of file GatewaySensorManager.idl.

## ◆ value

string peripheral::GatewaySensorManager::InterpretationRuleRAW::value

compare to value (unsigned 64-bit value as string, decimal or hexadecimal)

Definition at line 486 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl